# TechnoCoverage
Date: 2018-01-28

data

## Enum TechnoCoverage

- java.lang.Object
- - java.lang.Enum<TechnoCoverage>
  - - data.TechnoCoverage

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<TechnoCoverage>

    public enum TechnoCoverage
    extends java.lang.Enum<TechnoCoverage>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`ADSL`
`AUTRE`
`CABLE`
`FTTH`
`PIGEON`
`VDSL`
`VPN` Cette enum permet de de transformer toutes les techno annoncée dans les zones couvertes en une valeur.
`WIFI`
`xDSL`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static TechnoCoverage` `getFromString(java.lang.String s)`
`java.lang.String` `toString()`
`static TechnoCoverage` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static TechnoCoverage[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### VPN

    public static final TechnoCoverage VPN

Cette enum permet de de transformer toutes les techno annoncée dans les zones couvertes en une valeur.

#### FTTH

    public static final TechnoCoverage FTTH

#### ADSL

    public static final TechnoCoverage ADSL

#### VDSL

    public static final TechnoCoverage VDSL

#### xDSL

    public static final TechnoCoverage xDSL

#### WIFI

    public static final TechnoCoverage WIFI

#### PIGEON

    public static final TechnoCoverage PIGEON

#### CABLE

    public static final TechnoCoverage CABLE

#### AUTRE

    public static final TechnoCoverage AUTRE

### Method Detail

#### values

    public static TechnoCoverage[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (TechnoCoverage c : TechnoCoverage.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static TechnoCoverage valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Enum<TechnoCoverage>`

#### getFromString

    public static TechnoCoverage getFromString(java.lang.String s)